package com.ruoyi.ibs.list.domain;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

/**
 * 走访反馈搭建模板;
 * @author : http://www.chiner.pro
 * @date : 2025-6-20
 */
@ApiModel(value = "走访反馈搭建模板",description = "")
@TableName("lowcode_visst_feedback_model")
public class LowcodeVisstFeedbackModel implements Serializable,Cloneable{
    /** 租户号 */
    @ApiModelProperty(name = "id  更新的时候传值",notes = "")
    private Long id ;
    /** 机构号 */
    private Long deptId ;
    /** 模板名字 */
    @ApiModelProperty(name = "模板名字",notes = "")
    private String modelName ;
    /** 模板内容 */
    @ApiModelProperty(name = "模板内容",notes = "")
    private String modelDetal ;
    /** 归属网点 */
    @ApiModelProperty(name = "归属网点, 逗号分隔",notes = "")
    private String belongOutletName ;
    /** 归属网点 */
    @ApiModelProperty(name = "归属网点, 逗号分隔",notes = "")
    private String belongOutletId ;
    /** 创建人 */

    @ApiModelProperty(name = "modelType",notes = "")
    private String modelType ;

    private String createdBy ;
    /** 创建时间 */

    private Date createdTime ;
    /** 更新人 */

    private String updatedBy ;
    /** 更新时间 */
    private Date updatedTime ;

    private String uuid;
    /** 租户号 */
    public Long getId(){
        return this.id;
    }
    /** 租户号 */
    public void setId(Long id){
        this.id=id;
    }
    /** 机构号 */
    public Long getDeptId(){
        return this.deptId;
    }
    /** 机构号 */
    public void setDeptId(Long deptId){
        this.deptId=deptId;
    }
    /** 模板名字 */
    public String getModelName(){
        return this.modelName;
    }
    /** 模板名字 */
    public void setModelName(String modelName){
        this.modelName=modelName;
    }
    /** 模板内容 */
    public String getModelDetal(){
        return this.modelDetal;
    }
    /** 模板内容 */
    public void setModelDetal(String modelDetal){
        this.modelDetal=modelDetal;
    }
    /** 归属网点 */
    public String getBelongOutletName(){
        return this.belongOutletName;
    }
    /** 归属网点 */
    public void setBelongOutletName(String belongOutletName){
        this.belongOutletName=belongOutletName;
    }
    /** 归属网点 */
    public String getBelongOutletId(){
        return this.belongOutletId;
    }
    /** 归属网点 */
    public void setBelongOutletId(String belongOutletId){
        this.belongOutletId=belongOutletId;
    }
    /** 创建人 */
    public String getCreatedBy(){
        return this.createdBy;
    }
    /** 创建人 */
    public void setCreatedBy(String createdBy){
        this.createdBy=createdBy;
    }
    /** 创建时间 */
    public Date getCreatedTime(){
        return this.createdTime;
    }
    /** 创建时间 */
    public void setCreatedTime(Date createdTime){
        this.createdTime=createdTime;
    }
    /** 更新人 */
    public String getUpdatedBy(){
        return this.updatedBy;
    }
    /** 更新人 */
    public void setUpdatedBy(String updatedBy){
        this.updatedBy=updatedBy;
    }
    /** 更新时间 */
    public Date getUpdatedTime(){
        return this.updatedTime;
    }
    /** 更新时间 */
    public void setUpdatedTime(Date updatedTime){
        this.updatedTime=updatedTime;
    }

    public String getModelType() {
        return modelType;
    }

    public void setModelType(String modelType) {
        this.modelType = modelType;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
